# usqlite

## Minimal SQLite3 exec wrapper

[SQLite3](https://www.sqlite.org/) provides a very capable query tool 
but it may be too large to be included in the filesystem of an embedded 
device: for instance in the RW flash of the Humax HD/HDR-Fox T2 set-top 
boxes. This query applet is intended for use in such limiting cases.

```plain
Usage: usqlite [OPTIONS] ["SQL command;" ...] [< SQL_script]

Execute SQL commands on SQLite databases

Options:
  -C, --show-columns        Show column names (if any) as headers of 
                            query results
  -S,                       String to separate columns in query 
  --column-separator=SEP    results (default "|")
  -v, --verbose             Log details to stderr
  -V, --version,            Print program version, licensing and  
                            warranty details to stderr, and continue
  --                        Subsequent parameters are not options
  -h, --help, -?            Print this help to stderr and exit
                                          
To cancel reading from stdin in a POSIX shell, use the input 
redirection "<&-".
```

_u_ is an abbreviation for _micro_ popular in the typewriter era before it was
easy to write the Greek letter μ (mu), or it could stand for _unplasticised_
which would be equally valid as the `Makefile` avoids the `-fplasticise` compiler
flag.

This program is released subject to the GNU GENERAL PUBLIC LICENSE Version 3,
whose text is included in the file `LICENSE` included in the top level of
this repository.
